require "dispatcher"

module RedmineAttachmentStorage
  mattr_reader :config
  @@config = REDMINE_ATTACHMENT_STORAGE_CONFIG rescue {}

  module AttachmentMethods
    def self.included(base)
      base.class_eval do
        path = RedmineAttachmentStorage::config[:path]
        class_variable_set(:@@storage_path, path) if path
      end
    end
  end
end

Dispatcher.to_prepare :redmine_attachment_storage do
  Attachment.send(:include, RedmineAttachmentStorage::AttachmentMethods)
end
